<?php
	$addon['name'] = 'Data Explorer';
	$addon['icon'] = 'file-o';	
	
	global $sitefolder;
	
	$path = $sitefolder.'/addons';
	if (!file_exists($path))
	{
		mkdir($path);
	}
	$path .= '/dexplore.ini';
	
	if (file_exists($path))
		$adsettings = parse_ini_file($sitefolder.'/addons/dexplore.ini');
		
	global $addins;
	
		
	if (in_array('dexplore',$addins->enabledaddons))
	{
		
		$itm = array();		
		
		require_once($installfolder.'/addons/dexplore/hooks.php');
		
		$addon['hooks'] = array();
		$addon['hooks']['diagramlist2'] = 'dexplore_hook_diagramlist';	
		$addon['hooks']['fetchdata'] = 'dexplore_hook_fetch';
		$addon['hooks']['filtermedia'] = 'dexplore_filter_hook';
		$addon['hooks']['contextrules'] = 'dexplore_hook_contextrules';
	}

?>